XUND
API ReferenceContent Library

Get all available details of a symptom

GET/v1/contentLibrary/symptoms/{symptomId}

Get all available details of a symptom.

Authorization

BearerToken
AuthorizationBearer <token>

Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.

In: header

Path Parameters

symptomId*string

Identifier of the symptom whose details were requested.

Header Parameters

language*string

The expected language of the response.

Response Body

application/json

curl -X GET "https://example.com/v1/contentLibrary/symptoms/01bbacba-a8a3-4660-8b25-2c3841982f95" \  -H "authorization: Bearer <token>" \  -H "language: en"
{  "id": "01bbacba-a8a3-4660-8b25-2c3841982f95",  "name": "Ravenous hunger",  "infoShort": "Sudden onset of severe hunger",  "infoLong": "A sudden onset of an irresistible urge to eat, often focused on specific foods",  "gender": [    "MALE",    "FEMALE"  ],  "code": {    "coding": [      {        "code": "C0020175"      }    ]  },  "bodyParts": [    {      "id": "834ab6f0-990f-49a7-a4d5-a4c2e22d11a1",      "name": "Mental",      "code": "mental"    },    {      "id": "421dec65-85ed-4d3d-8b86-b6d6cc399345",      "name": "Belly",      "code": "stomach"    },    {      "id": "22d4e379-bfdb-4f24-af65-0c209db26aeb",      "name": "Throat",      "code": "throat"    }  ]}

Last updated on